Bug 10510 - Assumes bash2, while using bash1
Assumes bash2, while using bash1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: MAKEDEV (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-01 15:06 EST by vadim
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-03 14:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vadim 2000-04-01 15:06:15 EST
/bin/bash on both RH 6.1 and 6.2 is bash1, while MAKEDEV sometimes uses
features introduced in bash2. In particular, the current implementation of
first() and second() in MAKEDEV really needs bash2 (and without it devices
like /dev/sdaa cannot be properly created)

Also, while not being a bug, it could be that when creating /dev/sdaa* you
didn't mean to create /dev/sdaa and /dev/sdaa[123] only (for sd[a-z] you
create /dev/sd?[12345678]).
Comment 1 Nalin Dahyabhai 2000-04-03 14:58:59 EDT
Both of these items will be fixed in MAKEDEV-2.5.3-1 and later in Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/).  Please reopen this bug ID
if an upgrade does not resolve either of these.

Note You need to log in before you can comment on or make changes to this bug.